<?php

declare(strict_types=1);

namespace Mirzaev\Feip\Methods;

use Mirzaev\Feip\Methods\MethodAbstract,
    Mirzaev\Feip\Params\Foo,
    Mirzaev\Feip\Params\Bar,
    Mirzaev\Feip\Params\Baz;

/**
 * Foo
 * 
 * @property int $foo foo
 * @property string $bar bar
 * @property string $baz baz
 * 
 * @method public function __construct(array $params) Сборщик
 * @method public filter(string $var, $params) Фильтрация входящих параметров
 * @method public function json() Возвращает json-строку собранную из объекта
 * @method private static function camelCase(string $text) Конвертация в camelCase (lower)
 * 
 * @see Mirzaev\Feip\Tests\Foo
 * 
 * @package Mirzaev\Feip\Methods
 * @author Арсен Мирзаев <red@hood.su>
 */
class FooMethod extends MethodAbstract
{
    use Foo, Bar, Baz;
}
