<?php

declare(strict_types=1);

namespace Mirzaev\Feip\Params;

use Mirzaev\Feip\Error;

/**
 * Параметр bar
 * 
 * @property string $bar bar
 * 
 * @package Mirzaev\Feip\Params
 * @author Арсен Мирзаев <red@hood.su>
 */
trait Bar
{
    /**
     * bar: параметр
     * 
     * @var string
     */
    protected string $bar = '';

    /**
     * bar: фильтр
     * 
     * @param string|int|float $target Значение для фильтрации
     * 
     * @return string|null
     */
    public static function bar($target): ?string
    {
        // Очистка
        if ($sanitized = filter_var($target, FILTER_SANITIZE_STRING)) {
            // Если очищение вернуло результат

            // Проверка
            if ($sanitized !== $target) {
                // Если очищенное значение не совпадает с отправленным
                new Error(200, __FUNCTION__);
            }

            return (string) $sanitized;
        } else {
            new Error(200, __FUNCTION__);
        }

        return null;
    }
}
