<?php

declare(strict_types=1);

namespace Mirzaev\Feip\Params;

use Mirzaev\Feip\Error;

/**
 * Параметр фамилии
 * 
 * @property string $second_name Фамилия
 * 
 * @package Mirzaev\Feip\Params
 * @author Арсен Мирзаев <red@hood.su>
 */
trait SecondName
{
    /**
     * Фамилия: параметр
     * 
     * @var string
     */
    protected string $second_name = '';

    /**
     * Фамилия: фильтр
     * 
     * @param mixed $target Значение для фильтрации
     * 
     * @return array|null
     */
    public static function secondName($target): ?array
    {
        // Очистка
        if ($sanitized = filter_var($target, FILTER_SANITIZE_STRING)) {
            // Если очищение вернуло результат

            // Проверка
            if ($sanitized !== $target) {
                // Если очищенное значение не совпадает с отправленным
                new Error(200, __FUNCTION__);
            }

            return (array) $sanitized;
        } else {
            new Error(200, __FUNCTION__);
        }

        return null;
    }
}
